﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using RedCritterConnecter.Samples;

namespace GetUserProfileByAppDomainSample
{
    public partial class Form1 : Form
    {
        private GetUserProfileByAppDomain GetUserProfileByAppDomain = new GetUserProfileByAppDomain();

        public Form1()
        {
            InitializeComponent();
          
            GetUserProfileByAppDomain.onGetUserProfileByAppDomainResponse += GetUserProfileByAppDomain_onGetUserProfileByAppDomainResponse;
            GetUserProfileByAppDomain.onGetUserProfileByAppDomainResponseError += GetUserProfileByAppDomain_onGetUserProfileByAppDomainResponseError;
        }

        private void bGetUserProfileByAppDomain_Click(object sender, EventArgs e)
        {
          
            GetUserProfileByAppDomain.Execute(tSecretKey.Text, tProfileEntity.Text, tPublicKeys.Text, tKeyFiltered.Text);
        }

        void GetUserProfileByAppDomain_onGetUserProfileByAppDomainResponseError(GetUserProfileByAppDomainResponse GetUserProfileByAppDomainResponse)
        {
            lResult.Text = "GetUserProfileByAppDomain call failed";
        }

        void GetUserProfileByAppDomain_onGetUserProfileByAppDomainResponse(GetUserProfileByAppDomainResponse GetUserProfileByAppDomainResponse)
        {
            lResult.Text = "GetUserProfileByAppDomain call was successfully submitted";

            txtRewardName.Text += "Username = " + GetUserProfileByAppDomainResponse.Username;
            txtRewardName.Text += "\r\n";
            txtRewardName.Text += "FirstName = " + GetUserProfileByAppDomainResponse.FirstName;
            txtRewardName.Text += "\r\n";
            txtRewardName.Text += "LastName = " + GetUserProfileByAppDomainResponse.LastName;
            txtRewardName.Text += "\r\n";
            txtRewardName.Text += "Title = " + GetUserProfileByAppDomainResponse.Title;
            txtRewardName.Text += "\r\n";
            txtRewardName.Text += "\r\n";
            txtRewardName.Text += "\r\n";
            txtRewardName.Text += "\r\n";
            
        }



    }
}
